org.apache.lucene.spatial.prefix.tree

## Interface S2ShapeFactory

- All Superinterfaces:
    org.locationtech.spatial4j.shape.ShapeFactory
  All Known Implementing Classes:
    Geo3dShapeFactory

      public interface S2ShapeFactory
      extends org.locationtech.spatial4j.shape.ShapeFactory

  Shape factory for Spatial contexts that support S2 geometry. It is an extension of Spatial4j `ShapeFactory`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.locationtech.spatial4j.shape.ShapeFactory

      `org.locationtech.spatial4j.shape.ShapeFactory.LineStringBuilder, org.locationtech.spatial4j.shape.ShapeFactory.MultiLineStringBuilder, org.locationtech.spatial4j.shape.ShapeFactory.MultiPointBuilder, org.locationtech.spatial4j.shape.ShapeFactory.MultiPolygonBuilder, org.locationtech.spatial4j.shape.ShapeFactory.MultiShapeBuilder<T extends org.locationtech.spatial4j.shape.Shape>, org.locationtech.spatial4j.shape.ShapeFactory.PointsBuilder<T>, org.locationtech.spatial4j.shape.ShapeFactory.PolygonBuilder`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.locationtech.spatial4j.shape.Shape` | `getS2CellShape(com.google.common.geometry.S2CellId cellId)` Factory method for S2 cell shapes.

    - ### Methods inherited from interface org.locationtech.spatial4j.shape.ShapeFactory

      `circle, circle, getSpatialContext, isNormWrapLongitude, lineString, lineString, multiLineString, multiPoint, multiPolygon, multiShape, multiShape, normDist, normX, normY, normZ, pointXY, pointXYZ, polygon, rect, rect, verifyX, verifyY, verifyZ`

- - ### Method Detail

    - #### getS2CellShape

          org.locationtech.spatial4j.shape.Shape getS2CellShape(com.google.common.geometry.S2CellId cellId)

      Factory method for S2 cell shapes.
      Parameters:
        `cellId` - The S2 cell id
      Returns:
        the shape representing the cell.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.